View Issue Details

IDProjectCategoryView StatusLast Update
0000440CommunityOCCT:Foundation Classespublic2011-12-15 17:54
Reporteremo Assigned Toimv  
PrioritynoneSeveritytrivial 
Status closedResolutionfixed 
OSLinux 
Fixed in Version5.0.0 
Summary0000440: warning in Standard_Real.hxx
DescriptionThis bug has been added at
http://www.opencascade.org/forumorg/bug.php?bug_id=50&f=8 by Stephane Routelous
stephane.routelous@sympatico.ca :

using OpenCASCADE on Linux without WOK gives warning in Standard_Real.hxx:

Replace :

const extern Standard_Real PI;
const extern Standard_Real PI180;

const extern Standard_Real Standard_PI;
const extern Standard_Real Standard_PI180;

with

extern const Standard_Real PI;
extern const Standard_Real PI180;

extern const Standard_Real Standard_PI;
extern const Standard_Real Standard_PI180;
TagsNo tags attached.
Test case number

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2002-06-06 17:06 bugmaster Assigned To bugmaster => pop
2002-06-06 17:06 bugmaster Status new => assigned
2002-09-03 12:11 bugmaster Assigned To pop => imv
2002-09-03 12:41 bugmaster Status assigned => closed
2002-09-03 12:41 bugmaster Resolution @0@ => fixed
2011-08-02 11:23 bugmaster Category OCCT:FDC => OCCT:Foundation Classes
2011-12-15 17:54 bugmaster Project Open CASCADE => Community